WESNOTH(6)

NOM
wesnoth - Bataille pour Wesnoth, un jeu fantasy de stratégie tour par tour

SYNOPSIS
wesnoth [OPTIONS] [CHEMIN_VERS_DONNEES]

DESCRIPTION
Bataille pour Wesnoth est un jeu de stratégie tour par tour dans un univers de fantasy. Venez à bout de tous les chefs ennemis en utilisant les unités adéquates et en gérant au mieux votre or et vos villages. Chaque unité a ses forces et ses faiblesses ; pour gagner, déployez vos troupes de façon optimale tout en empêchant vos adversaires de faire de même. En gagnant de l'expérience, les unités acquièrent de nouvelles compétences et deviennent plus puissantes. Jouez dans votre langue favorite, et testez votre habileté contre une intelligence artificielle élaborée ou rejoignez la grande communauté des joueurs en ligne de Wesnoth. Créez vos propres unités, vos scénarios ou vos campagnes et partagez-les avec le reste du monde.

OPTIONS

--bpp nombre
    Définit la valeur de bits par pixel (couleurs). Exemple : --bpp 32

-c, --campaign  [<id_campagne>]
    Va directement à la campagne qui a pour identifiant <id_campagne>. Le menu de sélection de campagne apparaîtra si l'id n'est pas spécifié. Note : Lorsque vous utilisez cette option, assurez-vous d'avoir spécifié le chemin vers le dossier de données en argument final, sinon le jeu prendra l'identifiant campagne/scénario comme répertoire de données.

--campaign-difficulty [<difficulté>]
    La difficulté de la campagne spécifiée (de 1 à max). Si la difficulté n'est pas spécifiée, le menu de sélection de difficulté apparaîtra.

--campaign-scenario <id_scénario>
    L'identifiant du scénario de la campagne spécifiée. La valeur par défaut est le premier scénario.

--data-dir <répertoire>
    Remplace le répertoire data par celui spécifié

--data-path
    Affiche le nom du répertoire principal du jeu et quitte le programme.

-d, --debug
    Active des options supplémentaires pour la ligne de commande dans le jeu (se reporter au Wiki : http://www.wesnoth.org/wiki/CommandMode pour plus d'informations).

-e, --editor fichier
    Lance directement l'éditeur de carte. Si fichier est utilisé, équivaut à -l --load

--fps
    Affiche, dans un angle de l'écran, le nombre actuel d'images par seconde du jeu.

-f, --fullscreen
    Lance le jeu en mode plein écran.

--gunzip fichier_d'entrée.gz
    Décompresse une sauvegarde, normalement au format gzip, en un fichier sans l'extension .gz. fichier_d'entrée.gz sera effacé.

--gzip fichier_d'entrée
    Compresse une sauvegarde au format gzip et la place dans fichier_d'entrée.gz, puis efface fichier_d'entrée.

-h, --help
    Affiche un résumé des options de ligne de commande sur la sortie standard et quitte le programme.

-l, --load fichier
    Charge la sauvegarde fichier à partir du répertoire par défaut du jeu. Si les options -e ou --editor sont aussi utilisées, l'éditeur est lancé en ouvrant la carte située dans fichier. Si c'est un répertoire, l'éditeur commence par demander de choisir une carte.

--log-niveau=domaine1,domaine2,...
    Définit le niveau d'alerte du débogueur. all permet de suivre tous les niveaux de déboguage. Niveaux disponibles : error, warning, info, debug. Le niveau par défaut est error.

--logdomains [filtre]
    Liste les types de journaux définis (uniquement ceux contenant filtre si l'option est utilisée) et quitte

--max-fps
    Nombre d'images par seconde que le jeu peut afficher. La valeur doit être comprise entre 1 et 1000, la valeur par défaut est 50.

-m, --multiplayer
    Lance un jeu multijoueurs. Des options supplémentaires peuvent être utilisées avec --multiplayer : voir ci-dessous. Seules ces options supplémentaires peuvent suivre --multiplayer.

--no-delay
    Lance le jeu sans pause pour mesurer les performances graphiques. Cette option est activée automatiquement par --nogui.

--nocache
    Désactive le cache des données de jeu.

--nomusic
    Lance le jeu sans musique.

--nosound
    Lance le jeu sans son ni musique.

--path
    Affiche le nom du répertoire principal du jeu et quitte le programme.

-p, --preprocess <fichier/dossier> <répertoire cible>
    Prétraite un fichier/dossier spécifié. Pour chaque fichier(s) un fichier brut .cfg et un fichier traité .cfg sera écrit dans le répertoire cible spécifié. Si un dossier est spécifié, il sera prétraité récursivement à partir des règles de prétraitement connues. Les macros standards contenues dans « data/core/macros » seront prétraitées avant les ressources spécifiées. Exemple : -p ~/wesnoth/data/campaigns/tutorial ~/result. Pour plus de détails concernant le prétraitement visiter : http://wiki.wesnoth.org/PreprocessorRef#Command-line_preprocessor

--preprocess-defines=DEFINITION1,DEFINITION2,etc
    Une liste séparée par des virgules est définie pour être utilisée par la commande « --preprocess ». Si SKIP_CORE est définie dans la liste le répertoire « data/core » ne sera pas prétraité.

--preprocess-input-macros <fichier source>
    Utilisé uniquement par la commande « --preprocess ». Spécifie un fichier qui contient des [preproc_define]s à inclure avant le prétraitement.

--preprocess-output-macros [<fichier cible>]
    Utilisé uniquement par la commande « --preprocess ». La sortie des macros prétraitées sera envoyée dans le fichier cible. Si le fichier n'est pas spécifié, la sortie sera envoyée dans « _MACROS_.cfg » situé dans le répertoire cible de la commande « --preprocess ». Cette commande doit être saisie avant « --preprocess ».

-r XxY, --resolution XxY
    Définit la résolution de l'écran. Exemple : -r 800x600

-s, --server [hôte]
    Se connecte à un hôte prédéfini s'il existe, sinon tente de se connecter au premier serveur paramétré dans les préférences. Exemple : --server server.wesnoth.org

--username<nom d'utilisateur>
    Utilise <nom d'utilisateur> lors de la connexion à un serveur, en ignorant d'autres préférences.

--password<mot de passe>
    Utilise <mot de passe> lors de la connexion à un serveur, en ignorant d'autres préférences. Dangereux.

--strict-validation
    Les erreurs de validation sont traitées comme des erreurs fatales.

-t, --test
    Lance le jeu avec un petit scénario de test.

--userconfig-dir nom
    Définit le répertoire de configuration de l'utilisateur à nom dans $HOME ou dans "Mes Documents\Mes Jeux" pour Windows. Vous pouvez aussi indiquer un chemin absolu pour un dossier de configuration situé en dehors de $HOME ou de "Mes Documents\Mes Jeux". Sous X11 le répertoire par défaut est $XDG_CONFIG_HOME ou $HOME/.config/wesnoth. Sur les autres systèmes le répertoire par défaut est le répertoire de données.

--userconfig-path
    Affiche le nom du répertoire de configuration utilisateur et quitte le programme.

--userdata-dir nom
    Définit le répertoire de données à nom dans $HOME ou dans "Mes Documents\Mes Jeux" pour Windows. Vous pouvez aussi indiquer un chemin absolu pour un répertoire de données situé en dehors de $HOME ou de "Mes Documents\Mes Jeux"

--userdata-path
    Affiche le nom du répertoire de données et quitte le programme.

--validcache
    Suppose que le cache est valide (risqué).

-v, --version
    Affiche le numéro de version et quitte le programme.

-w, --windowed
    Lance le jeu dans une fenêtre séparée.

--with-replay
    Rejoue la partie chargée avec l'option --load.

Options pour --multiplayer
Les options spécifiques au mode multijoueur sont marquées d'un nombre. nombre doit être remplacé par un numéro de joueur. Il s'agit souvent de 1 ou de 2, mais cela dépend du nombre possible de joueurs pour le scénario choisi.

--ai_confignombre=valeur
    Sélectionne un fichier de configuration pour l'IA de cette faction.

--algorithmnombre=valeur
    Sélectionne un algorithme utilisé par l'IA de cette faction. Valeurs possibles : idle_ai et sample_ai.

--controllernombre=valeur
    Sélectionne le type de joueur de ce camp. Valeurs possibles : human et ai.

--era=valeur
    Utilisez cette option pour jouer à l'ère sélectionnée au lieu de l'ère Par défaut. Cette ère est sélectionnée par un identifiant. Les ères standard sont décrites dans le fichier data/multiplayer.cfg.

--exit-at-end
    Quitte le programme à la fin du scénario, sans afficher le message victoire/défaite qui nécessite un click sur OK de la part du joueur. Utilisable pour permettre une mesure par script des performances.

--ignore-map-settings
    Ne pas utiliser les paramètres de la carte mais les valeurs par défaut.

--multiplayer-repeat=valeur
    Répète une partie multijoueur valeur fois. Il est préférable d'utiliser --nogui pour une analyse comparative scriptée.

--nogui
    Lance le jeu sans interface graphique. Doit apparaître avant --multiplayer.

--parmnombre=nom:valeur
    Ajoute des paramètres spécifiques à ce camp. Ces paramètres dépendent des options utilisées avec --controller et --algorithm. Ne devrait être utile qu'aux personnes expérimentant leur propre IA (documentation incomplète).

--scenario=valeur
    Sélectionne un scénario multijoueur par son identifiant. Celui par défaut est : multiplayer_The_Freelands.

--sidenombre=valeur
    Permet de sélectionner une faction. Cette faction est choisie par identifiant. Les factions sont décrites dans le fichier data/multiplayer.cfg.

--turns=valeur
    Définit le nombre de tours du scénario (par défaut : 50).

STATUT DE SORTIE
Le statut de sortie normal est 0. Un code de sortie de 1 indique une erreur (SDL, vidéo, police, etc.). Un code de sortie de 2 indique une erreur avec les options de ligne de commande.

AUTEUR
Écrit par David White <davidnwhite@verizon.net>.
Édité par Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> et Soliton <soliton.de@gmail.com>.
Ce manuel a été à l'origine écrit par Cyril Bouthors <cyril@bouthors.org>.
Rendez-vous sur la page d'accueil officielle : http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
Ceci est un logiciel libre ; ce logiciel est sous la licence GPL version 2, comme définie par la Free Software Foundation. Il n'offre AUCUNE GARANTIE, y compris en ce qui concerne la COMMERCIABILITÉ et la CONFORMITÉ À UNE UTILISATION PARTICULIÈRE.

VOIR AUSSI
wesnothd(6).